### Method

# Clutter BindingPool override_closure

#### Declaration [src]

    void
    clutter_binding_pool_override_closure (
      ClutterBindingPool* pool,
      guint key_val,
      ClutterModifierType modifiers,
      GClosure* closure
    )

#### Description [src]

A `GClosure` variant of `clutter_binding_pool_override_action()`.

Allows overriding the action for `key_val` and `modifiers` inside a `ClutterBindingPool`. See `clutter_binding_pool_install_closure()`.

When an action has been activated using `clutter_binding_pool_activate()` the passed `callback` will be invoked (with `data`).

Actions can be blocked with `clutter_binding_pool_block_action()` and then unblocked using `clutter_binding_pool_unblock_action()`.

#### Parameters

`key_val`

  Type: `guint`

  Key symbol.

`modifiers`

  Type: `ClutterModifierType`

  Bitmask of modifiers.

`closure`

  Type: `GClosure`

  A `GClosure`.

  The data is owned by the caller of the method.